import React from 'react'
import Icon from 'react-edp-icons'
import { getMimeClass } from '../util'

const FormatWithIcon = ({ row ,hideMimeType }) => {
    if(hideMimeType){
        return "";
    }
    const iconName = row.mimetype
        ? getMimeClass(row.mimetype.toLocaleLowerCase())
        : "DEFAULT";
    return iconName ? <Icon icon={`${iconName}`} color={'#EE162D'} size={40} /> : ''
}
export default FormatWithIcon;