import React from 'react';
import './RadioItemForward.scss';
import './RadioItemForward.css';

const RadioItemForward = props => (
    <li className="list-forward">
        <label className="input__contaier-forward">
            {props.radioButtonDisable ? (
                <input
                    disabled
                    type="radio"
                    value={props.value}
                    checked={props.checked}
                    onChange={props.handleChange}
                />
            ):(
                <input
                    type="radio"
                    value={props.value}
                    checked={props.checked}
                    onChange={props.handleChange}
                /> 
            )}
            <span className="checkmark-forward"/>                     
            { props.label }
        </label>
    </li>
);

export default RadioItemForward;
