import React from 'react';
import RadioItemForward from '../RadioItem/RadioItemForward';
import './style.scss'
import './style.css'

const GroupTaskRow = ({ options, radioBtnValue, handleChange, hideGroupRow }) => {
    return (
        <div 
            className="GroupTaskRow__conatiner" 
            style={{
                display: hideGroupRow === true ? 'none' : 'flex'
            }}>
            <p>Como pretende pesquisar?</p>
            {Object.entries(options).map(([key, val]) => (
                <RadioItemForward
                    key={key}
                    value={key}
                    checked={radioBtnValue === key}
                    handleChange={e => handleChange(e.target.value)}
                    label={val}
                />
            ))}
        </div>
    );
};

export default GroupTaskRow;
