import React from 'react';
import Icon from 'react-edp-icons';
import './style.scss'

const MinhaEquipaBtn = ({ loadMinhaEquipa }) => {
    return (
        <button
            onClick={event => loadMinhaEquipa(event)}
            className="AMinhaEquipa__btn"
        >
            <Icon icon="MINHA_EQUIPA" size={35} color="#EE162D" />
            <span>A minha Equipa</span>
        </button>
    );
};

export default MinhaEquipaBtn;