# Usage
* [x] [reactsearch](https://gitlab.pdmfc.com/293613001/reactsearch/blob/master/react/package.json) 
* [x] [mainreactmenu](https://gitlab.pdmfc.com/293613001/mainreactmenu/blob/master/react/package.json) 
* [x] [editar-ou-criar-ecn-react-plugin](https://gitlab.pdmfc.com/FV483107/editar-ou-criar-ecn-react-plugin/blob/master/react/package.json) 
* [x] [edp_reactstepprocessors](https://gitlab.pdmfc.com/FP847241/edp_reactstepprocessors/blob/master/react/package.json) 
* [x] [edpreactfluxodocumentos](https://gitlab.pdmfc.com/FV483107/edpreactfluxodocumentos/blob/master/react/package.json) 

Here we describe most common use of this grid
Here we describe most common use of this grid

**Basic Usage** <br />
```javascript
 <Grid gridId="documentos"
                                contextMenuItems={ecm.model.desktop.actionLists.ItemContextMenu}
                                resultSet={resultSet}
                                onRowSelect={this.handleRowSelect}
                                isLink={false}
                            />
```


**Expand Row** : Expand row shows a react component when click on table.To more details about how to implement a custom ExpandRow  https://react-bootstrap-table.github.io/react-bootstrap-table2/docs/basic-row-expand.html<br /> 

```javascript
<Grid gridId="documentos"
                                contextMenuItems={ecm.model.desktop.actionLists.ItemContextMenu}
                                resultSet={resultSet}
                                onRowSelect={this.handleRowSelect}
                                isLink={false}
                                hasExpandRow={true}
                                customExpandRow="Expanded"
                            />
```




**AdditionalColumns** : Add extra columns on table  <br />
```javascript
 columns = [
        {
            dataField: 'isEditable',
            text: '',
            formatter: (cell, row) => (
                <button
                    type="button"
                    className="btn btn-link hoverable padIcon"
                    onClick={e => {
                        e.stopPropagation();
                        this.handleProperties(row);
                    }}>
                    <Icon icon="EDITAR" size={30} color="#EE162D" />
                </button>
            ),
            headerStyle: {
                width: '10px'
            }
        }]

 <Grid
                                    resultSet={newResultSet}
                                    onRowSelect={this.handleRowSelect}
                                    additionalColumns={[...this.columns]}
                                    selected={true} />

```

**OverwriteMethod** : perform the overwrithedMethod param when click on table link. default behavior is perform the first action of contextMenu.  <br />
```javascript
  <Grid
                                pageSize={5}
                                id="sub-table"
                                resultSet={this.state.subfolderContent}
                                overwriteMethod={row =>console.log(row)}
                                isLink={true}
                            />
```
