import React from 'react';
import './Dropdown.scss'
import './Dropdown.css'

export const Dropdown = ({ value, onChange, options }) => {
	return (
		<div className="form-group">
			<label htmlFor="selectEmpresa" className="formatText control-label">Ou navegue na hierarquia da organização:</label>
			<select id="selectEmpresa" onChange={e => onChange(e)} value={value || ""}>
				<option>{JSON.parse(sessionStorage.name) && JSON.parse(sessionStorage.name).company.id}</option>
				{options && options.map(orgs => (
					<option key={orgs.txtnomead} value={orgs.txtnomead}>{orgs.txtnomeempresa}</option>
				))}
			</select>
		</div>
	)
}
