import React from 'react'
import { decorators } from 'react-treebeard';

const addedDecorators = {
	...decorators,
	Toggle: function Toggle(props) {
		return (
			<div style={props.style.base}>
				<svg
					height={props.height}
					width={props.width}
					style={{
						position: "absolute",
						top: "5px",
						left: "5px",
						fill: "#EE162D",
					}}>
					<path d="M8.2 7.3L4 11.5c-.4.4-.4 1.1 0 1.5.4.4 1.1.4 1.5 0l4.3-4.2c.4-.4.6-.9.6-1.5s-.2-1.1-.6-1.5L5.5 1.6c-.5-.4-1.1-.4-1.5 0-.4.4-.4 1.1 0 1.5l4.2 4.2z" />
				</svg>
			</div>
		);
	},
};

export default addedDecorators;