export const promisseAmbiente = () =>
    new Promise(resolve => {
        const Request = ecm.model.Request;

        Request.invokePluginService(
            'EdpECMenv',
            'GetConfigurationServiceEDPGroups',
            {
                requestCompleteCallback: response => {
                    const ambiente = response.configuration[
                        '0'
                    ].value.toLowerCase();
                    resolve(ambiente);
                }
            }
        );
    });
